Bug 16612 - Cannot set "Until date" for "Enrollment period" for Patron Categories
Summary: Cannot set "Until date" for "Enrollment period" for Patron Categories
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-27 14:11 UTC by Kyle M Hall
Modified: 2017-12-07 22:16 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16612 - Cannot set "Until date" for "Enrollment period" for Patron Categories (1.35 KB, patch)
2016-05-27 14:19 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 16612 - Cannot set "Until date" for "Enrollment period" for Patron Categories (1.41 KB, patch)
2016-05-27 14:50 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 16612 - Cannot set "Until date" for "Enrollment period" for Patron Categories (1.47 KB, patch)
2016-06-19 15:37 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2016-05-27 14:11:51 UTC
Attempting to set an "Until date" date for "Enrollment period" will result in the date being accepted but not saved.
Comment 1 Kyle M Hall 2016-05-27 14:19:18 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2016-05-27 14:50:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-06-10 14:25:14 UTC
Kyle,
The change looks good but I do not recreate the issue.
I have tried to add a new category and update an existing one, the date is saved in both cases.
Comment 4 Katrin Fischer 2016-06-19 15:36:48 UTC
I tested too - changed the date of an existing category, emptying out the months field and setting a date. It didn't save. With the patch it's ok.
Comment 5 Katrin Fischer 2016-06-19 15:37:34 UTC
Created attachment 52549 [details] [review]
[PASSED QA] Bug 16612 - Cannot set "Until date" for "Enrollment period" for Patron Categories

Attempting to set an "Until date" date for "Enrollment period" will
result in the date being accepted but not saved.

Test Plan:
1) Attempt to set an enrollment period until date for a new patron category
2) Note the period is not saved
3) Apply this patch
4) Attempt to set the enrollment period date again
5) This time it should save!

Signed-off-by: Andrew Brenza <abrenza@audubonlibrary.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Kyle M Hall 2016-06-24 11:56:11 UTC
Pushed to master for 16.11!
Comment 7 Frédéric Demians 2016-08-01 11:50:19 UTC
Pushed in 16.05. Will be in 16.05.02.
Comment 8 Julian Maurice 2016-08-16 12:30:23 UTC
Patch pushed to 3.22.x, will be in 3.22.10